html, body {
    height: 100%;
}
.block{
    background: firebrick;
    height: 100%;
    overflow: auto;
    position: relative;
}

.block1{
    height: 100%;
    width: 250px;
    margin: 15px 15px;
    display: inline-block;
}
.green{
    background: green;
    overflow: auto;
}

.purple{
    background: purple;
    overflow: auto;
}

.gray{
    background: gray;
    overflow: auto;
}
.horizont1{
    background: blueviolet;
    width: 280px;
    height: 200px;
}

.horizont2{
    background: chocolate;
    width: 280px;
    height: 200px;
}

.horizont3{
    background: antiquewhite;
    width: 280px;
    height: 200px;
}

.right{
    background: cornflowerblue;
    width: 250px;
    height: 150px;
    position: fixed;
    top: 20px;
    right: 30px;
    overflow: auto;
}